function prob = NPPurchaseProbs( q,S,numTypes,customerTypes, numProds )
%Computes NP purchase probabilities.  Assumed 1/numTypes arrivalProbs
    prob=0;
    for i=1:numTypes
        bought=0;
        j=1;
        while (bought==0 && j <=numProds) 
            
            prod=customerTypes(i,j);
            
            if S(prod)==1
                
                bought=1;
                if prod == q
                    prob=prob + (1.0/numTypes);
                end
            end
            
            j=j+1;
            
            
        end
        
    end

end

